### Class

# Foundry VcsDiffLine

#### Description

    abstract class Foundry.VcsDiffLine : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryGitDiffLine

#### Instance methods

###### foundry_vcs_diff_line_dup_text

No description available.

###### foundry_vcs_diff_line_get_has_newline

No description available.

###### foundry_vcs_diff_line_get_length

No description available.

###### foundry_vcs_diff_line_get_new_line

No description available.

###### foundry_vcs_diff_line_get_old_line

No description available.

###### foundry_vcs_diff_line_get_origin

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.VcsDiffLine:has-newline

No description available.

###### Foundry.VcsDiffLine:length

No description available.

###### Foundry.VcsDiffLine:new-line

No description available.

###### Foundry.VcsDiffLine:old-line

No description available.

###### Foundry.VcsDiffLine:origin

No description available.

###### Foundry.VcsDiffLine:text

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsDiffLineClass {
      GObjectClass parent_class;
      FoundryVcsDiffLineOrigin (* get_origin) (
        FoundryVcsDiffLine* self
      );
      guint (* get_old_line) (
        FoundryVcsDiffLine* self
      );
      guint (* get_new_line) (
        FoundryVcsDiffLine* self
      );
      char* (* dup_text) (
        FoundryVcsDiffLine* self
      );
      gboolean (* get_has_newline) (
        FoundryVcsDiffLine* self
      );
      gsize (* get_length) (
        FoundryVcsDiffLine* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get_origin: FoundryVcsDiffLineOrigin (* get_origin) ( FoundryVcsDiffLine* self )`

  No description available.

`get_old_line: guint (* get_old_line) ( FoundryVcsDiffLine* self )`

  No description available.

`get_new_line: guint (* get_new_line) ( FoundryVcsDiffLine* self )`

  No description available.

`dup_text: char* (* dup_text) ( FoundryVcsDiffLine* self )`

  No description available.

`get_has_newline: gboolean (* get_has_newline) ( FoundryVcsDiffLine* self )`

  No description available.

`get_length: gsize (* get_length) ( FoundryVcsDiffLine* self )`

  No description available.

#### Virtual methods

###### Foundry.VcsDiffLineClass.dup_text

No description available.

###### Foundry.VcsDiffLineClass.get_has_newline

No description available.

###### Foundry.VcsDiffLineClass.get_length

No description available.

###### Foundry.VcsDiffLineClass.get_new_line

No description available.

###### Foundry.VcsDiffLineClass.get_old_line

No description available.

###### Foundry.VcsDiffLineClass.get_origin

No description available.